org.jgroups

## Class Version

- java.lang.Object
- - org.jgroups.Version

-     public class Version
      extends java.lang.Object

  We're using the scheme described at http://www.jboss.com/index.html?module=bb&op=viewtopic&t=77231 for major, minor and micro version numbers. We have 5 bits for major and minor version numbers each and 6 bits for the micro version. This gives: X = 0-31 for major versions Y = 0-31 for minor versions Z = 0-63 for micro versions
  Author:
    Bela Ban Holds version information for JGroups.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `description`
    `static short` | `major`
    `static short` | `micro`
    `static short` | `minor`
    `static java.lang.String` | `string_version`
    `static short` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Version()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static short[]` | `decode(short version)`
    `static short` | `encode(int major, int minor, int micro)` Method copied from http://www.jboss.com/index.html?module=bb&op=viewtopic&t=77231
    `static boolean` | `isBinaryCompatible(short ver)` Checks whether ver is binary compatible with the current version.
    `static boolean` | `isBinaryCompatible(short ver1, short ver2)`
    `static boolean` | `isSame(short v)` Compares the specified version number against the current version number.
    `static void` | `main(java.lang.String[] args)` Prints the value of the description and cvs fields to System.out.
    `static java.lang.String` | `print(short version)` Method copied from http://www.jboss.com/index.html?module=bb&op=viewtopic&t=77231
    `static java.lang.String` | `printDescription()` Returns the catenation of the description and cvs fields.
    `static java.lang.String` | `printVersion()` Returns the version field as a String.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### major

          public static final short major

      See Also:
        Constant Field Values

    - #### minor

          public static final short minor

      See Also:
        Constant Field Values

    - #### micro

          public static final short micro

      See Also:
        Constant Field Values

    - #### description

          public static final java.lang.String description

      See Also:
        Constant Field Values

    - #### version

          public static final short version

    - #### string_version

          public static final java.lang.String string_version

  - ### Constructor Detail

    - #### Version

          public Version()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Prints the value of the description and cvs fields to System.out.
      Parameters:
        `args` -

    - #### printDescription

          public static java.lang.String printDescription()

      Returns the catenation of the description and cvs fields.
      Returns:
        String with description

    - #### printVersion

          public static java.lang.String printVersion()

      Returns the version field as a String.
      Returns:
        String with version

    - #### isSame

          public static boolean isSame(short v)

      Compares the specified version number against the current version number.
      Parameters:
        `v` - short
      Returns:
        Result of == operator.

    - #### encode

          public static short encode(int major,
                     int minor,
                     int micro)

      Method copied from http://www.jboss.com/index.html?module=bb&op=viewtopic&t=77231

    - #### print

          public static java.lang.String print(short version)

      Method copied from http://www.jboss.com/index.html?module=bb&op=viewtopic&t=77231

    - #### decode

          public static short[] decode(short version)

    - #### isBinaryCompatible

          public static boolean isBinaryCompatible(short ver)

      Checks whether ver is binary compatible with the current version. The rule for binary compatibility is that the major and minor versions have to match, whereas micro versions can differ.
      Parameters:
        `ver` -
      Returns:

    - #### isBinaryCompatible

          public static boolean isBinaryCompatible(short ver1,
                                   short ver2)

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.